package com.mortals.xhx.module.alarm.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.alarm.model.AlarmRecordsEntity;
/**
* 告警消息记录查询对象
*
* @author zxfei
* @date 2025-03-28
*/
public class AlarmRecordsQuery extends AlarmRecordsEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点Id */
    private Long siteIdStart;

    /** 结束 站点Id */
    private Long siteIdEnd;

    /** 增加 站点Id */
    private Long siteIdIncrement;

    /** 站点Id列表 */
    private List <Long> siteIdList;

    /** 站点Id排除列表 */
    private List <Long> siteIdNotList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 开始 告警时间 */
    private String alarmTimeStart;

    /** 结束 告警时间 */
    private String alarmTimeEnd;

    /** 告警类型 */
    private List<String> alarmTypeList;

    /** 告警类型排除列表 */
    private List <String> alarmTypeNotList;
    /** 开始 告警级别(0.一般，1.次要，2.危险) */
    private Integer alarmLevelStart;

    /** 结束 告警级别(0.一般，1.次要，2.危险) */
    private Integer alarmLevelEnd;

    /** 增加 告警级别(0.一般，1.次要，2.危险) */
    private Integer alarmLevelIncrement;

    /** 告警级别(0.一般，1.次要，2.危险)列表 */
    private List <Integer> alarmLevelList;

    /** 告警级别(0.一般，1.次要，2.危险)排除列表 */
    private List <Integer> alarmLevelNotList;

    /** 接收人员 */
    private List<String> alarmReceivePersonnelList;

    /** 接收人员排除列表 */
    private List <String> alarmReceivePersonnelNotList;
    /** 接收人员电话 */
    private List<String> receivePersonnelTelephoneList;

    /** 接收人员电话排除列表 */
    private List <String> receivePersonnelTelephoneNotList;
    /** 告警详细内容 */
    private List<String> alarmContentList;

    /** 告警详细内容排除列表 */
    private List <String> alarmContentNotList;
    /** 开始 推送 */
    private Integer pushStart;

    /** 结束 推送 */
    private Integer pushEnd;

    /** 增加 推送 */
    private Integer pushIncrement;

    /** 推送列表 */
    private List <Integer> pushList;

    /** 推送排除列表 */
    private List <Integer> pushNotList;

    /** 备注信息 */
    private List<String> remarkList;

    /** 备注信息排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AlarmRecordsQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AlarmRecordsQuery> andConditionList;

    public AlarmRecordsQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 站点Id
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点Id
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点Id
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点Id
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点Id
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点Id
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点Id
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点Id
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 站点Id
    * @return siteIdNotList
    */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
    * 设置 站点Id
    * @param siteIdNotList
    */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
    * 获取 站点名称
    * @return siteNameList
    */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
    * 获取 站点名称
    * @return siteNameNotList
    */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
    * 设置 站点名称
    * @param siteNameNotList
    */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
    * 获取 开始 告警时间
    * @return alarmTimeStart
    */
    public String getAlarmTimeStart(){
        return this.alarmTimeStart;
    }

    /**
    * 设置 开始 告警时间
    * @param alarmTimeStart
    */
    public void setAlarmTimeStart(String alarmTimeStart){
        this.alarmTimeStart = alarmTimeStart;
    }

    /**
    * 获取 结束 告警时间
    * @return alarmTimeEnd
    */
    public String getAlarmTimeEnd(){
        return this.alarmTimeEnd;
    }

    /**
    * 设置 结束 告警时间
    * @param alarmTimeEnd
    */
    public void setAlarmTimeEnd(String alarmTimeEnd){
        this.alarmTimeEnd = alarmTimeEnd;
    }

    /**
    * 获取 告警类型
    * @return alarmTypeList
    */
    public List<String> getAlarmTypeList(){
        return this.alarmTypeList;
    }

    /**
    * 设置 告警类型
    * @param alarmTypeList
    */
    public void setAlarmTypeList(List<String> alarmTypeList){
        this.alarmTypeList = alarmTypeList;
    }

    /**
    * 获取 告警类型
    * @return alarmTypeNotList
    */
    public List<String> getAlarmTypeNotList(){
        return this.alarmTypeNotList;
    }

    /**
    * 设置 告警类型
    * @param alarmTypeNotList
    */
    public void setAlarmTypeNotList(List<String> alarmTypeNotList){
        this.alarmTypeNotList = alarmTypeNotList;
    }

    /**
    * 获取 开始 告警级别(0.一般，1.次要，2.危险)
    * @return alarmLevelStart
    */
    public Integer getAlarmLevelStart(){
        return this.alarmLevelStart;
    }

    /**
    * 设置 开始 告警级别(0.一般，1.次要，2.危险)
    * @param alarmLevelStart
    */
    public void setAlarmLevelStart(Integer alarmLevelStart){
        this.alarmLevelStart = alarmLevelStart;
    }

    /**
    * 获取 结束 告警级别(0.一般，1.次要，2.危险)
    * @return $alarmLevelEnd
    */
    public Integer getAlarmLevelEnd(){
        return this.alarmLevelEnd;
    }

    /**
    * 设置 结束 告警级别(0.一般，1.次要，2.危险)
    * @param alarmLevelEnd
    */
    public void setAlarmLevelEnd(Integer alarmLevelEnd){
        this.alarmLevelEnd = alarmLevelEnd;
    }

    /**
    * 获取 增加 告警级别(0.一般，1.次要，2.危险)
    * @return alarmLevelIncrement
    */
    public Integer getAlarmLevelIncrement(){
        return this.alarmLevelIncrement;
    }

    /**
    * 设置 增加 告警级别(0.一般，1.次要，2.危险)
    * @param alarmLevelIncrement
    */
    public void setAlarmLevelIncrement(Integer alarmLevelIncrement){
        this.alarmLevelIncrement = alarmLevelIncrement;
    }

    /**
    * 获取 告警级别(0.一般，1.次要，2.危险)
    * @return alarmLevelList
    */
    public List<Integer> getAlarmLevelList(){
        return this.alarmLevelList;
    }

    /**
    * 设置 告警级别(0.一般，1.次要，2.危险)
    * @param alarmLevelList
    */
    public void setAlarmLevelList(List<Integer> alarmLevelList){
        this.alarmLevelList = alarmLevelList;
    }

    /**
    * 获取 告警级别(0.一般，1.次要，2.危险)
    * @return alarmLevelNotList
    */
    public List<Integer> getAlarmLevelNotList(){
        return this.alarmLevelNotList;
    }

    /**
    * 设置 告警级别(0.一般，1.次要，2.危险)
    * @param alarmLevelNotList
    */
    public void setAlarmLevelNotList(List<Integer> alarmLevelNotList){
        this.alarmLevelNotList = alarmLevelNotList;
    }


    /**
    * 获取 接收人员
    * @return alarmReceivePersonnelList
    */
    public List<String> getAlarmReceivePersonnelList(){
        return this.alarmReceivePersonnelList;
    }

    /**
    * 设置 接收人员
    * @param alarmReceivePersonnelList
    */
    public void setAlarmReceivePersonnelList(List<String> alarmReceivePersonnelList){
        this.alarmReceivePersonnelList = alarmReceivePersonnelList;
    }

    /**
    * 获取 接收人员
    * @return alarmReceivePersonnelNotList
    */
    public List<String> getAlarmReceivePersonnelNotList(){
        return this.alarmReceivePersonnelNotList;
    }

    /**
    * 设置 接收人员
    * @param alarmReceivePersonnelNotList
    */
    public void setAlarmReceivePersonnelNotList(List<String> alarmReceivePersonnelNotList){
        this.alarmReceivePersonnelNotList = alarmReceivePersonnelNotList;
    }

    /**
    * 获取 接收人员电话
    * @return receivePersonnelTelephoneList
    */
    public List<String> getReceivePersonnelTelephoneList(){
        return this.receivePersonnelTelephoneList;
    }

    /**
    * 设置 接收人员电话
    * @param receivePersonnelTelephoneList
    */
    public void setReceivePersonnelTelephoneList(List<String> receivePersonnelTelephoneList){
        this.receivePersonnelTelephoneList = receivePersonnelTelephoneList;
    }

    /**
    * 获取 接收人员电话
    * @return receivePersonnelTelephoneNotList
    */
    public List<String> getReceivePersonnelTelephoneNotList(){
        return this.receivePersonnelTelephoneNotList;
    }

    /**
    * 设置 接收人员电话
    * @param receivePersonnelTelephoneNotList
    */
    public void setReceivePersonnelTelephoneNotList(List<String> receivePersonnelTelephoneNotList){
        this.receivePersonnelTelephoneNotList = receivePersonnelTelephoneNotList;
    }

    /**
    * 获取 告警详细内容
    * @return alarmContentList
    */
    public List<String> getAlarmContentList(){
        return this.alarmContentList;
    }

    /**
    * 设置 告警详细内容
    * @param alarmContentList
    */
    public void setAlarmContentList(List<String> alarmContentList){
        this.alarmContentList = alarmContentList;
    }

    /**
    * 获取 告警详细内容
    * @return alarmContentNotList
    */
    public List<String> getAlarmContentNotList(){
        return this.alarmContentNotList;
    }

    /**
    * 设置 告警详细内容
    * @param alarmContentNotList
    */
    public void setAlarmContentNotList(List<String> alarmContentNotList){
        this.alarmContentNotList = alarmContentNotList;
    }

    /**
    * 获取 开始 推送
    * @return pushStart
    */
    public Integer getPushStart(){
        return this.pushStart;
    }

    /**
    * 设置 开始 推送
    * @param pushStart
    */
    public void setPushStart(Integer pushStart){
        this.pushStart = pushStart;
    }

    /**
    * 获取 结束 推送
    * @return $pushEnd
    */
    public Integer getPushEnd(){
        return this.pushEnd;
    }

    /**
    * 设置 结束 推送
    * @param pushEnd
    */
    public void setPushEnd(Integer pushEnd){
        this.pushEnd = pushEnd;
    }

    /**
    * 获取 增加 推送
    * @return pushIncrement
    */
    public Integer getPushIncrement(){
        return this.pushIncrement;
    }

    /**
    * 设置 增加 推送
    * @param pushIncrement
    */
    public void setPushIncrement(Integer pushIncrement){
        this.pushIncrement = pushIncrement;
    }

    /**
    * 获取 推送
    * @return pushList
    */
    public List<Integer> getPushList(){
        return this.pushList;
    }

    /**
    * 设置 推送
    * @param pushList
    */
    public void setPushList(List<Integer> pushList){
        this.pushList = pushList;
    }

    /**
    * 获取 推送
    * @return pushNotList
    */
    public List<Integer> getPushNotList(){
        return this.pushNotList;
    }

    /**
    * 设置 推送
    * @param pushNotList
    */
    public void setPushNotList(List<Integer> pushNotList){
        this.pushNotList = pushNotList;
    }


    /**
    * 获取 备注信息
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注信息
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注信息
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注信息
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public AlarmRecordsQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public AlarmRecordsQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public AlarmRecordsQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public AlarmRecordsQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public AlarmRecordsQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public AlarmRecordsQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  站点Id
    * @param siteId
    */
    public AlarmRecordsQuery siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
	
	 /**
    * 设置 开始 站点Id
    * @param siteIdStart
    */
    public AlarmRecordsQuery siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点Id
    * @param siteIdEnd
    */
    public AlarmRecordsQuery siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点Id
    * @param siteIdIncrement
    */
    public AlarmRecordsQuery siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点Id
    * @param siteIdList
    */
    public AlarmRecordsQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }

        /**
        * 设置 站点Id
        * @param siteIdNotList
        */
        public AlarmRecordsQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
        }


	/**
    * 设置 站点名称
    * @param siteName
    */
    public AlarmRecordsQuery siteName(String siteName){
        setSiteName(siteName);
		return this;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public AlarmRecordsQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
		return this;
    }



	/**
    * 设置 告警类型
    * @param alarmType
    */
    public AlarmRecordsQuery alarmType(String alarmType){
        setAlarmType(alarmType);
		return this;
    }

    /**
    * 设置 告警类型
    * @param alarmTypeList
    */
    public AlarmRecordsQuery alarmTypeList(List<String> alarmTypeList){
        this.alarmTypeList = alarmTypeList;
		return this;
    }

    /**
    * 设置  告警级别(0.一般，1.次要，2.危险)
    * @param alarmLevel
    */
    public AlarmRecordsQuery alarmLevel(Integer alarmLevel){
	    setAlarmLevel(alarmLevel);
		return this;
    }
	
	 /**
    * 设置 开始 告警级别(0.一般，1.次要，2.危险)
    * @param alarmLevelStart
    */
    public AlarmRecordsQuery alarmLevelStart(Integer alarmLevelStart){
		this.alarmLevelStart = alarmLevelStart;
		return this;
    }

    /**
    * 设置 结束 告警级别(0.一般，1.次要，2.危险)
    * @param alarmLevelEnd
    */
    public AlarmRecordsQuery alarmLevelEnd(Integer alarmLevelEnd){
		this.alarmLevelEnd = alarmLevelEnd;
		return this;
    }

    /**
    * 设置 增加 告警级别(0.一般，1.次要，2.危险)
    * @param alarmLevelIncrement
    */
    public AlarmRecordsQuery alarmLevelIncrement(Integer alarmLevelIncrement){
		this.alarmLevelIncrement = alarmLevelIncrement;
		return this;
    }

    /**
    * 设置 告警级别(0.一般，1.次要，2.危险)
    * @param alarmLevelList
    */
    public AlarmRecordsQuery alarmLevelList(List<Integer> alarmLevelList){
        this.alarmLevelList = alarmLevelList;
		return this;
        }

        /**
        * 设置 告警级别(0.一般，1.次要，2.危险)
        * @param alarmLevelNotList
        */
        public AlarmRecordsQuery alarmLevelNotList(List<Integer> alarmLevelNotList){
        this.alarmLevelNotList = alarmLevelNotList;
        return this;
        }


	/**
    * 设置 接收人员
    * @param alarmReceivePersonnel
    */
    public AlarmRecordsQuery alarmReceivePersonnel(String alarmReceivePersonnel){
        setAlarmReceivePersonnel(alarmReceivePersonnel);
		return this;
    }

    /**
    * 设置 接收人员
    * @param alarmReceivePersonnelList
    */
    public AlarmRecordsQuery alarmReceivePersonnelList(List<String> alarmReceivePersonnelList){
        this.alarmReceivePersonnelList = alarmReceivePersonnelList;
		return this;
    }


	/**
    * 设置 接收人员电话
    * @param receivePersonnelTelephone
    */
    public AlarmRecordsQuery receivePersonnelTelephone(String receivePersonnelTelephone){
        setReceivePersonnelTelephone(receivePersonnelTelephone);
		return this;
    }

    /**
    * 设置 接收人员电话
    * @param receivePersonnelTelephoneList
    */
    public AlarmRecordsQuery receivePersonnelTelephoneList(List<String> receivePersonnelTelephoneList){
        this.receivePersonnelTelephoneList = receivePersonnelTelephoneList;
		return this;
    }


	/**
    * 设置 告警详细内容
    * @param alarmContent
    */
    public AlarmRecordsQuery alarmContent(String alarmContent){
        setAlarmContent(alarmContent);
		return this;
    }

    /**
    * 设置 告警详细内容
    * @param alarmContentList
    */
    public AlarmRecordsQuery alarmContentList(List<String> alarmContentList){
        this.alarmContentList = alarmContentList;
		return this;
    }

    /**
    * 设置  推送
    * @param push
    */
    public AlarmRecordsQuery push(Integer push){
	    setPush(push);
		return this;
    }
	
	 /**
    * 设置 开始 推送
    * @param pushStart
    */
    public AlarmRecordsQuery pushStart(Integer pushStart){
		this.pushStart = pushStart;
		return this;
    }

    /**
    * 设置 结束 推送
    * @param pushEnd
    */
    public AlarmRecordsQuery pushEnd(Integer pushEnd){
		this.pushEnd = pushEnd;
		return this;
    }

    /**
    * 设置 增加 推送
    * @param pushIncrement
    */
    public AlarmRecordsQuery pushIncrement(Integer pushIncrement){
		this.pushIncrement = pushIncrement;
		return this;
    }

    /**
    * 设置 推送
    * @param pushList
    */
    public AlarmRecordsQuery pushList(List<Integer> pushList){
        this.pushList = pushList;
		return this;
        }

        /**
        * 设置 推送
        * @param pushNotList
        */
        public AlarmRecordsQuery pushNotList(List<Integer> pushNotList){
        this.pushNotList = pushNotList;
        return this;
        }


	/**
    * 设置 备注信息
    * @param remark
    */
    public AlarmRecordsQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注信息
    * @param remarkList
    */
    public AlarmRecordsQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public AlarmRecordsQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public AlarmRecordsQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public AlarmRecordsQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public AlarmRecordsQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public AlarmRecordsQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public AlarmRecordsQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<AlarmRecordsQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<AlarmRecordsQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<AlarmRecordsQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<AlarmRecordsQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}